Package it.ernytech.tdlib

## Class TdApi.CallbackQueryAnswer

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.CallbackQueryAnswer

Enclosing class:
  TdApi

    public static class TdApi.CallbackQueryAnswer
    extends TdApi.Object

Contains a bot's answer to a callback query.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `showAlert` True, if an alert should be shown to the user instead of a toast notification.
`java.lang.String` `text` Text of the answer.
`java.lang.String` `url` URL to be opened.

### Constructor Summary

Constructors
`CallbackQueryAnswer()` Default constructor.
`CallbackQueryAnswer​(java.lang.String text, boolean showAlert, java.lang.String url)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### text

    public java.lang.String text

Text of the answer.

#### showAlert

    public boolean showAlert

True, if an alert should be shown to the user instead of a toast notification.

#### url

    public java.lang.String url

URL to be opened.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CallbackQueryAnswer

    public CallbackQueryAnswer()

Default constructor.

#### CallbackQueryAnswer

    public CallbackQueryAnswer​(java.lang.String text,
                               boolean showAlert,
                               java.lang.String url)

Constructor for initialization of all fields.

Parameters:
  `text` - Text of the answer.
  `showAlert` - True, if an alert should be shown to the user instead of a toast notification.
  `url` - URL to be opened.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR